Loading...
Searching...
No Matches
restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index > Class Template Reference

A special case of produce-consume clause where the produced value is stored into a tuple. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index >:

## Public Member Functions

template<typename Producer_Arg >
| special_produce_tuple_item_clause_t (Producer_Arg &&producer)

## Private Types

using | consumer_t = ep::impl::tuple_item_consumer_t< Index >
using | base_type_t = ep::impl::consume_value_clause_t< Producer, consumer_t >

## Static Private Member Functions

template<typename Producer_Arg >
static RESTINIO_NODISCARD Producer | make_producer (Producer_Arg &&producer)

## Detailed Description

template<typename Producer, std::size_t Index>
class restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index >

A special case of produce-consume clause where the produced value is stored into a tuple.

Since
  v.0.6.6

Definition at line 190 of file easy_parser_router.hpp.

## Member Typedef Documentation

## base_type_t

template<typename Producer , std::size_t Index>

using restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index >::base_type_t = ep::impl::consume_value_clause_t< Producer, consumer_t >

private

Definition at line 197 of file easy_parser_router.hpp.

## consumer_t

template<typename Producer , std::size_t Index>

using restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index >::consumer_t = ep::impl::tuple_item_consumer_t<Index>

private

Definition at line 195 of file easy_parser_router.hpp.

## Constructor & Destructor Documentation

## special_produce_tuple_item_clause_t()

template<typename Producer , std::size_t Index>
template<typename Producer_Arg >

restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index >::special_produce_tuple_item_clause_t | ( | Producer_Arg && | producer | ) |

inline

Definition at line 212 of file easy_parser_router.hpp.

## Member Function Documentation

## make_producer()

template<typename Producer , std::size_t Index>
template<typename Producer_Arg >

static RESTINIO_NODISCARD Producer restinio::router::easy_parser_router::impl::special_produce_tuple_item_clause_t< Producer, Index >::make_producer | ( | Producer_Arg && | producer | ) |

inline static private

Definition at line 205 of file easy_parser_router.hpp.

The documentation for this class was generated from the following file:

- restinio/router/easy_parser_router.hpp